backend_defines = @TIC_MACHINE_DEFINES@ \
		  @MPI_DEFINES@ @TIC_AMX_DEFINES@
backend_includes = @TIC_ENS_INCLUDES@ @PAPI_INCLUDES@ 
backend_includes_buildtree = -I$(top_srcdir)/runtime/ammpi @GASNET_TOOLS_INCLUDES@
backend_ld_flags_buildtree = -L$(top_builddir)/runtime/ammpi 
backend_ld_flags = @TIC_ENS_LD_FLAGS@               

@USE_GC_NONE_TRUE@backend_gc_ld_libs =
@USE_GC_NONE_FALSE@backend_gc_ld_libs = -lgc-uniproc @TIC_DL_LIBS@ 

backend_ld_libs = -ltitanium-$(backend) \
		@LIBPAPI@ \
		$(backend_gc_ld_libs) \
		-lammpi \
		@MPI_LIBS@ \
                @TIC_ENS_LIBS@ \
		@LIBGCC@
